/***************************************************************************
    file      : prog.cc
    copyright : (C) 2001 by Pavel Lipensky
    email     : lipenskyp.email.cz
 ***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

// hlavni program -  prekladac imperativniho jazyka

#include <iostream>
#include "synta.h"

string outstr(const string &s) {
   return s.substr (0, s.find_last_of('.')) + ".out";
}


void compile(string fin) {
   synta sa;
   string fout;
   fout = outstr(fin);  
   cout << fin.c_str() << " --> " << fout.c_str() << endl;
   if (sa.openf(fin.c_str())) {
      sa.parse();
      if (!sa.generate(fout.c_str()))
         cerr << "Soubor " << fout << " nelze vytvorit\n";
      sa.closef();
   }
   else cerr << "Soubor " << fin << " nelze otevrit\n";
}

int main(int argc, char *argv[]) {               
   int i=1;
   for(; i<argc; i++) compile(argv[i]);          
   if (argc==1) cerr << "Zadejte: comp soubor[.pripona] [...]\n";
   return 0;
}
